#
#    Uncomplicated VM Builder
#    Copyright (C) 2007-2009 Canonical Ltd.
#    
#    See AUTHORS for list of contributors
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License version 3, as
#    published by the Free Software Foundation.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
import unittest

from VMBuilder.log import console, set_verbosity
import logging

class LogTestSuite(unittest.TestCase):
	def test_verbosity_options(self):
		'Using --debug, --verbose and --quiet flags set proper log levels'
		
		checks = [
			('--debug', logging.DEBUG),
			('--verbose', logging.INFO),
			('--quiet', logging.CRITICAL),
		]
		
		for opt, level in checks:
			set_verbosity(None, opt, None, None)
			self.assertEquals(level, console.level, 'Found wrong logging level after setting flag "%s"' % opt)

